"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
var PrintType;
(function (PrintType) {
    PrintType[PrintType["TEXT"] = 0] = "TEXT";
    PrintType[PrintType["IMAGE"] = 1] = "IMAGE";
    PrintType[PrintType["BARCODE"] = 2] = "BARCODE";
    PrintType[PrintType["QRCODE"] = 3] = "QRCODE";
})(PrintType || (PrintType = {}));
class SuperApp {
    static initial(key) {
    }
    static getInfo() {
        return {
            versionCode: 1,
            versionName: "1.0.0a",
            buildServer: "dev",
        };
    }
}
exports.default = SuperApp;
(() => {
    console.log('SuperApp is initialized.');
})();
SuperApp.Terminal = class {
    static getInfo() {
        return {
            terminalId: "1x121y",
            os: "Android",
            osVersion: "9",
            screenCount: 1,
            screenSize: [{ width: 1024, height: 768 }]
        };
    }
};
SuperApp.Store = class {
    static getInfo() {
        return {
            storeId: "12345",
            storeName: "storeName"
        };
    }
};
SuperApp.User = class {
    static getInfo() {
        return {
            userId: "12345",
            userName: "userName"
        };
    }
};
SuperApp.Device = (_a = class {
    },
    _a.CashDrawer = class {
        static open(requestId) {
            console.log("Cash drawer is opened.");
            return true;
        }
        static close(requestId) {
            console.log("Cash drawer is closed.");
            return true;
        }
        static getStatus() {
            return "open|close|undefined";
        }
        static setCashDrawerEventListener(listener) {
            SuperApp.Device.CashDrawer.listener = listener;
        }
    },
    _a.Printer = class {
        static print(data, type, printingListener) {
        }
        static getStatus() {
            return "normal|connect_fail|out_of_paper|undefined";
        }
        static feed() {
        }
        static cut() {
        }
        static setPrinterStatusListener(statusListener) {
            SuperApp.Device.Printer.statusListener = statusListener;
        }
    },
    _a);
